Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.Base64
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DateValidator
- M.EmailValidator
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.NotMinusValidator
- M.NumberValidator
- M.Object
- M.Observable
- M.PageView
- M.PhoneValidator
- M.PresenceValidator
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.SHA256
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.UrlValidator
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.TabBarView

The is the prototype of any tab bar view. A tab bar view is a special variant of a toolbar at the top or bottom of a page, that consists of up to five horizontally aligned tabs. An M.TabBarView can be used the top navigation level for an application since it is always visible an indicates the currently selected tab.
Defined in: tab_bar.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.TabBarView()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| anchorLocation Defines the position of the TabBar.
| type The type of this object.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| setActiveTab(page) This method activates a tab bar item based on a given page.

Class Detail
M.TabBarView()
Field Detail
{String} anchorLocation
Defines the position of the TabBar. Possible values are: - M.BOTTOM => is a footer tab bar - M.TOP => is a header tab bar

{String} type
The type of this object.
Method Detail
setActiveTab(page)
This method activates a tab bar item based on a given page.

Parameters:
{String|M.PageView} page
  The page to the corresponding tab that is to be set active.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 15:07:34 GMT+0100 (MEZ)